outdir=.build
srcfiles:=${wildcard *.java}
classfiles:=${srcfiles:%.java=${outdir}/%.class}
VPATH:=.:${outdir}
SHELL=/bin/bash
PATH:=/usr/local/packages/jdk-1.3/java/bin/:${PATH}

.SILENT:

run: all
	cd ${outdir}; \
		echo "algoritme" > test; \
		echo "datalogi" >> test; \
		java EditDistance test; \
		echo "datalogi" > test; \
		echo "algoritme" >> test; \
		java EditDistance test;


DM02check: all
	echo "running official check..."
	cd ${outdir}; DM02check;
	echo "done";

delivery: all
	cp -v *.java ${outdir}
	cd ${outdir};aflever DM02

all: ${classfiles}

clean:
	rm -rf ${outdir}
	rm -f *~

${outdir}/%.class : %.java ${outdir}
	echo Compiling $<
	javac $< -d ${outdir}

${outdir} :
	mkdir ${outdir}